Annotation of embedaddon/iftop/Makefile.in, revision 1.1.1.1
1.1 misho 1: # Makefile.in generated by automake 1.6.3 from Makefile.am.
2: # @configure_input@
3:
4: # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
5: # Free Software Foundation, Inc.
6: # This Makefile.in is free software; the Free Software Foundation
7: # gives unlimited permission to copy and/or distribute it,
8: # with or without modifications, as long as this notice is preserved.
9:
10: # This program is distributed in the hope that it will be useful,
11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13: # PARTICULAR PURPOSE.
14:
15: @SET_MAKE@
16:
17: #
18: # Makefile.am:
19: # Automake file for iftop.
20: #
21: # I don't understand this stuff, so I just stole it from the tpop3d
22: # distribution. That means that, really, Mark Longair should take credit for
23: # it.
24: # -- Chris Lightfoot
25: #
26: # $Id: Makefile.am,v 1.9 2004/07/27 08:45:17 pdw Exp $
27: #
28: SHELL = @SHELL@
29:
30: srcdir = @srcdir@
31: top_srcdir = @top_srcdir@
32: VPATH = @srcdir@
33: prefix = @prefix@
34: exec_prefix = @exec_prefix@
35:
36: bindir = @bindir@
37: sbindir = @sbindir@
38: libexecdir = @libexecdir@
39: datadir = @datadir@
40: sysconfdir = @sysconfdir@
41: sharedstatedir = @sharedstatedir@
42: localstatedir = @localstatedir@
43: libdir = @libdir@
44: infodir = @infodir@
45: mandir = @mandir@
46: includedir = @includedir@
47: oldincludedir = /usr/include
48: pkgdatadir = $(datadir)/@PACKAGE@
49: pkglibdir = $(libdir)/@PACKAGE@
50: pkgincludedir = $(includedir)/@PACKAGE@
51: top_builddir = .
52: AUTOCONF = @AUTOCONF@
53: AUTOMAKE = @AUTOMAKE@
54: AUTOHEADER = @AUTOHEADER@
55:
56: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
57: INSTALL = @INSTALL@
58: INSTALL_PROGRAM = @INSTALL_PROGRAM@
59: INSTALL_DATA = @INSTALL_DATA@
60: install_sh_DATA = $(install_sh) -c -m 644
61: install_sh_PROGRAM = $(install_sh) -c
62: install_sh_SCRIPT = $(install_sh) -c
63: INSTALL_SCRIPT = @INSTALL_SCRIPT@
64: INSTALL_HEADER = $(INSTALL_DATA)
65: transform = @program_transform_name@
66: NORMAL_INSTALL = :
67: PRE_INSTALL = :
68: POST_INSTALL = :
69: NORMAL_UNINSTALL = :
70: PRE_UNINSTALL = :
71: POST_UNINSTALL = :
72: build_alias = @build_alias@
73: build_triplet = @build@
74: host_alias = @host_alias@
75: host_triplet = @host@
76: target_alias = @target_alias@
77: target_triplet = @target@
78:
79: EXEEXT = @EXEEXT@
80: OBJEXT = @OBJEXT@
81: PATH_SEPARATOR = @PATH_SEPARATOR@
82:
83: ACLOCAL = aclocal -I @ac_aux_dir@
84: AMTAR = @AMTAR@
85: AWK = @AWK@
86: CC = @CC@
87: DEPDIR = @DEPDIR@
88: INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
89: PACKAGE = @PACKAGE@
90: STRIP = @STRIP@
91: VERSION = @VERSION@
92: ac_aux_dir = @ac_aux_dir@
93: am__include = @am__include@
94: am__quote = @am__quote@
95: install_sh = @install_sh@
96:
97: sbin_PROGRAMS = iftop
98:
99: iftop_SOURCES = addr_hash.c edline.c hash.c iftop.c ns_hash.c \
100: options.c resolver.c screenfilter.c serv_hash.c \
101: sorted_list.c threadprof.c ui.c util.c \
102: addrs_ioctl.c addrs_dlpi.c dlcommon.c \
103: stringmap.c cfgfile.c vector.c
104:
105:
106: noinst_HEADERS = addr_hash.h ether.h ethertype.h extract.h hash.h iftop.h \
107: integers.h ip.h llc.h ns_hash.h options.h resolver.h \
108: screenfilter.h serv_hash.h sll.h sorted_list.h tcp.h \
109: threadprof.h token.h ui.h dlcommon.h stringmap.h \
110: vector.h cfgfile.h ppp.h
111:
112:
113: man_MANS = iftop.8
114:
115: SUBDIRS = config
116:
117: EXTRA_DIST = bootstrap README ChangeLog AUTHORS COPYING INSTALL TODO \
118: Makefile.OLD $(man_MANS) iftop.cat iftop.spec
119:
120:
121: MAINTERCLEANFILES = Makefile.in aclocal.m4 configure configuration.h.in \
122: stamp-h.in iftop.spec
123:
124: subdir = .
125: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
126: mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
127: CONFIG_HEADER = config.h
128: CONFIG_CLEAN_FILES =
129: sbin_PROGRAMS = iftop$(EXEEXT)
130: PROGRAMS = $(sbin_PROGRAMS)
131:
132: am_iftop_OBJECTS = addr_hash.$(OBJEXT) edline.$(OBJEXT) hash.$(OBJEXT) \
133: iftop.$(OBJEXT) ns_hash.$(OBJEXT) options.$(OBJEXT) \
134: resolver.$(OBJEXT) screenfilter.$(OBJEXT) serv_hash.$(OBJEXT) \
135: sorted_list.$(OBJEXT) threadprof.$(OBJEXT) ui.$(OBJEXT) \
136: util.$(OBJEXT) addrs_ioctl.$(OBJEXT) addrs_dlpi.$(OBJEXT) \
137: dlcommon.$(OBJEXT) stringmap.$(OBJEXT) cfgfile.$(OBJEXT) \
138: vector.$(OBJEXT)
139: iftop_OBJECTS = $(am_iftop_OBJECTS)
140: iftop_LDADD = $(LDADD)
141: iftop_DEPENDENCIES =
142: iftop_LDFLAGS =
143:
144: DEFS = @DEFS@
145: DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
146: CPPFLAGS = @CPPFLAGS@
147: LDFLAGS = @LDFLAGS@
148: LIBS = @LIBS@
149: depcomp = $(SHELL) $(top_srcdir)/config/depcomp
150: am__depfiles_maybe = depfiles
151: @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/addr_hash.Po \
152: @AMDEP_TRUE@ ./$(DEPDIR)/addrs_dlpi.Po \
153: @AMDEP_TRUE@ ./$(DEPDIR)/addrs_ioctl.Po ./$(DEPDIR)/cfgfile.Po \
154: @AMDEP_TRUE@ ./$(DEPDIR)/dlcommon.Po ./$(DEPDIR)/edline.Po \
155: @AMDEP_TRUE@ ./$(DEPDIR)/hash.Po ./$(DEPDIR)/iftop.Po \
156: @AMDEP_TRUE@ ./$(DEPDIR)/ns_hash.Po ./$(DEPDIR)/options.Po \
157: @AMDEP_TRUE@ ./$(DEPDIR)/resolver.Po ./$(DEPDIR)/screenfilter.Po \
158: @AMDEP_TRUE@ ./$(DEPDIR)/serv_hash.Po ./$(DEPDIR)/sorted_list.Po \
159: @AMDEP_TRUE@ ./$(DEPDIR)/stringmap.Po ./$(DEPDIR)/threadprof.Po \
160: @AMDEP_TRUE@ ./$(DEPDIR)/ui.Po ./$(DEPDIR)/util.Po \
161: @AMDEP_TRUE@ ./$(DEPDIR)/vector.Po
162: COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
163: $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
164: CCLD = $(CC)
165: LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
166: CFLAGS = @CFLAGS@
167: DIST_SOURCES = $(iftop_SOURCES)
168:
169: NROFF = nroff
170: MANS = $(man_MANS)
171: HEADERS = $(noinst_HEADERS)
172:
173:
174: RECURSIVE_TARGETS = info-recursive dvi-recursive install-info-recursive \
175: uninstall-info-recursive all-recursive install-data-recursive \
176: install-exec-recursive installdirs-recursive install-recursive \
177: uninstall-recursive check-recursive installcheck-recursive
178: DIST_COMMON = README $(noinst_HEADERS) AUTHORS COPYING ChangeLog \
179: INSTALL Makefile.am Makefile.in NEWS TODO aclocal.m4 \
180: config.h.in configure configure.in
181: DIST_SUBDIRS = $(SUBDIRS)
182: SOURCES = $(iftop_SOURCES)
183:
184: all: config.h
185: $(MAKE) $(AM_MAKEFLAGS) all-recursive
186:
187: .SUFFIXES:
188: .SUFFIXES: .c .o .obj
189:
190: am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
191: configure.lineno
192: $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
193: cd $(top_srcdir) && \
194: $(AUTOMAKE) --foreign Makefile
195: Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
196: cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)
197:
198: $(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
199: $(SHELL) ./config.status --recheck
200: $(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
201: cd $(srcdir) && $(AUTOCONF)
202:
203: $(ACLOCAL_M4): configure.in
204: cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
205:
206: config.h: stamp-h1
207: @if test ! -f $@; then \
208: rm -f stamp-h1; \
209: $(MAKE) stamp-h1; \
210: else :; fi
211:
212: stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
213: @rm -f stamp-h1
214: cd $(top_builddir) && $(SHELL) ./config.status config.h
215:
216: $(srcdir)/config.h.in: $(top_srcdir)/configure.in $(ACLOCAL_M4)
217: cd $(top_srcdir) && $(AUTOHEADER)
218: touch $(srcdir)/config.h.in
219:
220: distclean-hdr:
221: -rm -f config.h stamp-h1
222: sbinPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
223: install-sbinPROGRAMS: $(sbin_PROGRAMS)
224: @$(NORMAL_INSTALL)
225: $(mkinstalldirs) $(DESTDIR)$(sbindir)
226: @list='$(sbin_PROGRAMS)'; for p in $$list; do \
227: p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
228: if test -f $$p \
229: ; then \
230: f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
231: echo " $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f"; \
232: $(INSTALL_PROGRAM_ENV) $(sbinPROGRAMS_INSTALL) $$p $(DESTDIR)$(sbindir)/$$f; \
233: else :; fi; \
234: done
235:
236: uninstall-sbinPROGRAMS:
237: @$(NORMAL_UNINSTALL)
238: @list='$(sbin_PROGRAMS)'; for p in $$list; do \
239: f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
240: echo " rm -f $(DESTDIR)$(sbindir)/$$f"; \
241: rm -f $(DESTDIR)$(sbindir)/$$f; \
242: done
243:
244: clean-sbinPROGRAMS:
245: -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
246: iftop$(EXEEXT): $(iftop_OBJECTS) $(iftop_DEPENDENCIES)
247: @rm -f iftop$(EXEEXT)
248: $(LINK) $(iftop_LDFLAGS) $(iftop_OBJECTS) $(iftop_LDADD) $(LIBS)
249:
250: mostlyclean-compile:
251: -rm -f *.$(OBJEXT) core *.core
252:
253: distclean-compile:
254: -rm -f *.tab.c
255:
256: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addr_hash.Po@am__quote@
257: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addrs_dlpi.Po@am__quote@
258: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/addrs_ioctl.Po@am__quote@
259: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cfgfile.Po@am__quote@
260: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dlcommon.Po@am__quote@
261: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/edline.Po@am__quote@
262: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hash.Po@am__quote@
263: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iftop.Po@am__quote@
264: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ns_hash.Po@am__quote@
265: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options.Po@am__quote@
266: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/resolver.Po@am__quote@
267: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/screenfilter.Po@am__quote@
268: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/serv_hash.Po@am__quote@
269: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sorted_list.Po@am__quote@
270: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stringmap.Po@am__quote@
271: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/threadprof.Po@am__quote@
272: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ui.Po@am__quote@
273: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/util.Po@am__quote@
274: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vector.Po@am__quote@
275:
276: distclean-depend:
277: -rm -rf ./$(DEPDIR)
278:
279: .c.o:
280: @AMDEP_TRUE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
281: @AMDEP_TRUE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
282: @AMDEP_TRUE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
283: $(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<
284:
285: .c.obj:
286: @AMDEP_TRUE@ source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
287: @AMDEP_TRUE@ depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
288: @AMDEP_TRUE@ $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
289: $(COMPILE) -c `cygpath -w $<`
290: CCDEPMODE = @CCDEPMODE@
291: uninstall-info-am:
292:
293: man8dir = $(mandir)/man8
294: install-man8: $(man8_MANS) $(man_MANS)
295: @$(NORMAL_INSTALL)
296: $(mkinstalldirs) $(DESTDIR)$(man8dir)
297: @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
298: l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
299: for i in $$l2; do \
300: case "$$i" in \
301: *.8*) list="$$list $$i" ;; \
302: esac; \
303: done; \
304: for i in $$list; do \
305: if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
306: else file=$$i; fi; \
307: ext=`echo $$i | sed -e 's/^.*\\.//'`; \
308: case "$$ext" in \
309: 8*) ;; \
310: *) ext='8' ;; \
311: esac; \
312: inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
313: inst=`echo $$inst | sed -e 's/^.*\///'`; \
314: inst=`echo $$inst | sed '$(transform)'`.$$ext; \
315: echo " $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst"; \
316: $(INSTALL_DATA) $$file $(DESTDIR)$(man8dir)/$$inst; \
317: done
318: uninstall-man8:
319: @$(NORMAL_UNINSTALL)
320: @list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
321: l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
322: for i in $$l2; do \
323: case "$$i" in \
324: *.8*) list="$$list $$i" ;; \
325: esac; \
326: done; \
327: for i in $$list; do \
328: ext=`echo $$i | sed -e 's/^.*\\.//'`; \
329: inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
330: inst=`echo $$inst | sed -e 's/^.*\///'`; \
331: inst=`echo $$inst | sed '$(transform)'`.$$ext; \
332: echo " rm -f $(DESTDIR)$(man8dir)/$$inst"; \
333: rm -f $(DESTDIR)$(man8dir)/$$inst; \
334: done
335:
336: # This directory's subdirectories are mostly independent; you can cd
337: # into them and run `make' without going through this Makefile.
338: # To change the values of `make' variables: instead of editing Makefiles,
339: # (1) if the variable is set in `config.status', edit `config.status'
340: # (which will cause the Makefiles to be regenerated when you run `make');
341: # (2) otherwise, pass the desired values on the `make' command line.
342: $(RECURSIVE_TARGETS):
343: @set fnord $$MAKEFLAGS; amf=$$2; \
344: dot_seen=no; \
345: target=`echo $@ | sed s/-recursive//`; \
346: list='$(SUBDIRS)'; for subdir in $$list; do \
347: echo "Making $$target in $$subdir"; \
348: if test "$$subdir" = "."; then \
349: dot_seen=yes; \
350: local_target="$$target-am"; \
351: else \
352: local_target="$$target"; \
353: fi; \
354: (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
355: || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
356: done; \
357: if test "$$dot_seen" = "no"; then \
358: $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
359: fi; test -z "$$fail"
360:
361: mostlyclean-recursive clean-recursive distclean-recursive \
362: maintainer-clean-recursive:
363: @set fnord $$MAKEFLAGS; amf=$$2; \
364: dot_seen=no; \
365: case "$@" in \
366: distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
367: *) list='$(SUBDIRS)' ;; \
368: esac; \
369: rev=''; for subdir in $$list; do \
370: if test "$$subdir" = "."; then :; else \
371: rev="$$subdir $$rev"; \
372: fi; \
373: done; \
374: rev="$$rev ."; \
375: target=`echo $@ | sed s/-recursive//`; \
376: for subdir in $$rev; do \
377: echo "Making $$target in $$subdir"; \
378: if test "$$subdir" = "."; then \
379: local_target="$$target-am"; \
380: else \
381: local_target="$$target"; \
382: fi; \
383: (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
384: || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
385: done && test -z "$$fail"
386: tags-recursive:
387: list='$(SUBDIRS)'; for subdir in $$list; do \
388: test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
389: done
390:
391: ETAGS = etags
392: ETAGSFLAGS =
393:
394: tags: TAGS
395:
396: ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
397: list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
398: unique=`for i in $$list; do \
399: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
400: done | \
401: $(AWK) ' { files[$$0] = 1; } \
402: END { for (i in files) print i; }'`; \
403: mkid -fID $$unique
404:
405: TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
406: $(TAGS_FILES) $(LISP)
407: tags=; \
408: here=`pwd`; \
409: list='$(SUBDIRS)'; for subdir in $$list; do \
410: if test "$$subdir" = .; then :; else \
411: test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
412: fi; \
413: done; \
414: list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
415: unique=`for i in $$list; do \
416: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
417: done | \
418: $(AWK) ' { files[$$0] = 1; } \
419: END { for (i in files) print i; }'`; \
420: test -z "$(ETAGS_ARGS)$$tags$$unique" \
421: || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
422: $$tags $$unique
423:
424: GTAGS:
425: here=`$(am__cd) $(top_builddir) && pwd` \
426: && cd $(top_srcdir) \
427: && gtags -i $(GTAGS_ARGS) $$here
428:
429: distclean-tags:
430: -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
431: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
432:
433: top_distdir = .
434: distdir = $(PACKAGE)-$(VERSION)
435:
436: am__remove_distdir = \
437: { test ! -d $(distdir) \
438: || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
439: && rm -fr $(distdir); }; }
440:
441: GZIP_ENV = --best
442: distcleancheck_listfiles = find . -type f -print
443:
444: distdir: $(DISTFILES)
445: $(am__remove_distdir)
446: mkdir $(distdir)
447: @list='$(DISTFILES)'; for file in $$list; do \
448: if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
449: dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
450: if test "$$dir" != "$$file" && test "$$dir" != "."; then \
451: dir="/$$dir"; \
452: $(mkinstalldirs) "$(distdir)$$dir"; \
453: else \
454: dir=''; \
455: fi; \
456: if test -d $$d/$$file; then \
457: if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
458: cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
459: fi; \
460: cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
461: else \
462: test -f $(distdir)/$$file \
463: || cp -p $$d/$$file $(distdir)/$$file \
464: || exit 1; \
465: fi; \
466: done
467: list='$(SUBDIRS)'; for subdir in $$list; do \
468: if test "$$subdir" = .; then :; else \
469: test -d $(distdir)/$$subdir \
470: || mkdir $(distdir)/$$subdir \
471: || exit 1; \
472: (cd $$subdir && \
473: $(MAKE) $(AM_MAKEFLAGS) \
474: top_distdir="$(top_distdir)" \
475: distdir=../$(distdir)/$$subdir \
476: distdir) \
477: || exit 1; \
478: fi; \
479: done
480: -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
481: ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
482: ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
483: ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
484: || chmod -R a+r $(distdir)
485: dist-gzip: distdir
486: $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
487: $(am__remove_distdir)
488:
489: dist dist-all: distdir
490: $(AMTAR) chof - $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
491: $(am__remove_distdir)
492:
493: # This target untars the dist file and tries a VPATH configuration. Then
494: # it guarantees that the distribution is self-contained by making another
495: # tarfile.
496: distcheck: dist
497: $(am__remove_distdir)
498: GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(AMTAR) xf -
499: chmod -R a-w $(distdir); chmod a+w $(distdir)
500: mkdir $(distdir)/=build
501: mkdir $(distdir)/=inst
502: chmod a-w $(distdir)
503: dc_install_base=`$(am__cd) $(distdir)/=inst && pwd` \
504: && cd $(distdir)/=build \
505: && ../configure --srcdir=.. --prefix=$$dc_install_base \
506: $(DISTCHECK_CONFIGURE_FLAGS) \
507: && $(MAKE) $(AM_MAKEFLAGS) \
508: && $(MAKE) $(AM_MAKEFLAGS) dvi \
509: && $(MAKE) $(AM_MAKEFLAGS) check \
510: && $(MAKE) $(AM_MAKEFLAGS) install \
511: && $(MAKE) $(AM_MAKEFLAGS) installcheck \
512: && $(MAKE) $(AM_MAKEFLAGS) uninstall \
513: && (test `find $$dc_install_base -type f -print | wc -l` -le 1 \
514: || { echo "ERROR: files left after uninstall:" ; \
515: find $$dc_install_base -type f -print ; \
516: exit 1; } >&2 ) \
517: && $(MAKE) $(AM_MAKEFLAGS) dist-gzip \
518: && rm -f $(distdir).tar.gz \
519: && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
520: $(am__remove_distdir)
521: @echo "$(distdir).tar.gz is ready for distribution" | \
522: sed 'h;s/./=/g;p;x;p;x'
523: distcleancheck: distclean
524: if test '$(srcdir)' = . ; then \
525: echo "ERROR: distcleancheck can only run from a VPATH build" ; \
526: exit 1 ; \
527: fi
528: test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
529: || { echo "ERROR: files left after distclean:" ; \
530: $(distcleancheck_listfiles) ; \
531: exit 1; } >&2
532: check-am: all-am
533: check: check-recursive
534: all-am: Makefile $(PROGRAMS) $(MANS) $(HEADERS) config.h
535: installdirs: installdirs-recursive
536: installdirs-am:
537: $(mkinstalldirs) $(DESTDIR)$(sbindir) $(DESTDIR)$(man8dir)
538:
539: install: install-recursive
540: install-exec: install-exec-recursive
541: install-data: install-data-recursive
542: uninstall: uninstall-recursive
543:
544: install-am: all-am
545: @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
546:
547: installcheck: installcheck-recursive
548: install-strip:
549: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
550: INSTALL_STRIP_FLAG=-s \
551: `test -z '$(STRIP)' || \
552: echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
553: mostlyclean-generic:
554:
555: clean-generic:
556:
557: distclean-generic:
558: -rm -f Makefile $(CONFIG_CLEAN_FILES)
559:
560: maintainer-clean-generic:
561: @echo "This command is intended for maintainers to use"
562: @echo "it deletes files that may require special tools to rebuild."
563: clean: clean-recursive
564:
565: clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am
566:
567: distclean: distclean-recursive
568: -rm -f $(am__CONFIG_DISTCLEAN_FILES)
569: distclean-am: clean-am distclean-compile distclean-depend \
570: distclean-generic distclean-hdr distclean-tags
571:
572: dvi: dvi-recursive
573:
574: dvi-am:
575:
576: info: info-recursive
577:
578: info-am:
579:
580: install-data-am: install-man
581:
582: install-exec-am: install-sbinPROGRAMS
583:
584: install-info: install-info-recursive
585:
586: install-man: install-man8
587:
588: installcheck-am:
589:
590: maintainer-clean: maintainer-clean-recursive
591: -rm -f $(am__CONFIG_DISTCLEAN_FILES)
592: -rm -rf autom4te.cache
593: maintainer-clean-am: distclean-am maintainer-clean-generic
594:
595: mostlyclean: mostlyclean-recursive
596:
597: mostlyclean-am: mostlyclean-compile mostlyclean-generic
598:
599: uninstall-am: uninstall-info-am uninstall-man uninstall-sbinPROGRAMS
600:
601: uninstall-info: uninstall-info-recursive
602:
603: uninstall-man: uninstall-man8
604:
605: .PHONY: $(RECURSIVE_TARGETS) GTAGS all all-am check check-am clean \
606: clean-generic clean-recursive clean-sbinPROGRAMS dist dist-all \
607: dist-gzip distcheck distclean distclean-compile \
608: distclean-depend distclean-generic distclean-hdr \
609: distclean-recursive distclean-tags distcleancheck distdir dvi \
610: dvi-am dvi-recursive info info-am info-recursive install \
611: install-am install-data install-data-am install-data-recursive \
612: install-exec install-exec-am install-exec-recursive \
613: install-info install-info-am install-info-recursive install-man \
614: install-man8 install-recursive install-sbinPROGRAMS \
615: install-strip installcheck installcheck-am installdirs \
616: installdirs-am installdirs-recursive maintainer-clean \
617: maintainer-clean-generic maintainer-clean-recursive mostlyclean \
618: mostlyclean-compile mostlyclean-generic mostlyclean-recursive \
619: tags tags-recursive uninstall uninstall-am uninstall-info-am \
620: uninstall-info-recursive uninstall-man uninstall-man8 \
621: uninstall-recursive uninstall-sbinPROGRAMS
622:
623:
624: iftop.cat: iftop.8
625: (echo -e ".pl 1100i" ; cat iftop.8 ; echo ".pl \n(nlu+10") | groff -Tascii -man > iftop.cat
626:
627: iftop.spec: iftop.spec.in configure.in
628: sed 's/__VERSION__/$(VERSION)/' < iftop.spec.in > iftop.spec
629: # Tell versions [3.59,3.63) of GNU make to not export all variables.
630: # Otherwise a system limit (for SysV at least) may be exceeded.
631: .NOEXPORT:
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>